<template>
  <v-row justify="center">
    <v-dialog v-model="dialogModal" persistent max-width="650px">
      <v-card>
        <v-card-text>
          <v-container>
            <v-row style="display: block;margin-left: auto;margin-right: auto;width: 50%;">
              <v-img
                src="/static/survey-img-1.svg"
              />
            </v-row>
            <v-row style="text-align: center;">
              <v-card-text style="font-size: 16px;color: #333333;" >{{ $t('label.survey_publish_url', [url])
              }}</v-card-text>
              <input id="copy-url" :value="url" type="hidden">
              <v-card-text style="font-size: 16px;color: #828282;">{{ $t('label.description_survey_publish') }}</v-card-text>
            </v-row>
          </v-container>
        </v-card-text>
        <v-card-actions class="justify-center">
          <v-btn class="ma-2" outlined color="success" @click="dialogModal = false">{{ $t('label.close') }}</v-btn>
          <v-btn id="copyUrl" class="ma-2" color="success" @click="copyURLClipboard">{{ $t('label.copy_url') }}</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
export default {
  name: 'ModalGenerateLink',
  props: {
    dialog: {
      type: Boolean,
      default: false
    },
    url: {
      type: String,
      default: ''
    }
  },
  computed: {
    dialogModal: {
      get() {
        return this.dialog
      },
      set(val) {
        this.$emit('update:dialogUpdate', val)
        if (val === false) {
          this.$router.push('/survey/index')
        }
      }
    }
  },
  methods: {
    copyURLClipboard() {
      const testingCodeToCopy = document.querySelector('#copy-url')
      testingCodeToCopy.setAttribute('type', 'text')
      testingCodeToCopy.select()

      try {
        document.execCommand('copy')
        this.$store.dispatch('toast/successToast', this.$t('success.copy_url_succses'))
      } catch (err) {
        this.$store.dispatch('toast/errorToast', this.$t('success.copy_url_errors'))
      }

      /* unselect the range */
      testingCodeToCopy.setAttribute('type', 'hidden')
      window.getSelection().removeAllRanges()
    }
  }
}
</script>
